Bug 834068 - Support MiniDebugInfo in gdb
Support MiniDebugInfo in gdb
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On: 834073
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 14:24 EDT by Alexander Larsson
Modified: 2012-07-06 15:34 EDT (History)
5 users (show)

See Also:
Fixed In Version: gdb-7.4.50.20120703-12.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 17:24:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Look for and use libzma on ELF systems (2.29 KB, patch)
2012-06-20 14:27 EDT, Alexander Larsson
no flags Details | Diff
Support lzma compressed .gnu_debugdata sections (7.71 KB, patch)
2012-06-20 14:31 EDT, Alexander Larsson
no flags Details | Diff

  None (edit)
Description Alexander Larsson 2012-06-20 14:24:50 EDT
In order to support the new MiniDebugFeature gdb needs to understand the new MiniDebugInfo data.
Comment 1 Alexander Larsson 2012-06-20 14:27:23 EDT
Created attachment 593293 [details]
Look for and use libzma on ELF systems
Comment 2 Alexander Larsson 2012-06-20 14:31:26 EDT
Created attachment 593295 [details]
Support lzma compressed .gnu_debugdata sections
Comment 3 Alexander Larsson 2012-06-27 08:03:07 EDT
The required changes to rpm/redhat-rpm-build has now landed in rawhide.
Comment 4 Jan Kratochvil 2012-07-05 17:24:02 EDT
For posting upstream it will need also an update for gdb/NEWS and gdb/doc/gdb.texinfo.

Note You need to log in before you can comment on or make changes to this bug.